cancel
Showing results for 
Search instead for 
Did you mean: 

Drivers & Software

cm123
Journeyman III

Can't activate Prorender in Blender 2.8

Installed the Prorender plugin for Blender 2.8 and the materials library successfully, but when I try to activate the plugin in the Blender Add-ons window it gives me the message:

Report: Error

Traceback (most recent call last):

File "/Applications/blender.app/Contents/Resources/2.80/scripts/modules/addon_utils .py", line 384, in enable
mod.register()
File "/Users/productionone/Library/Application Support/Blender/2.80/scripts/addons/rprblender/ _init_.py", line 111, in register 

bpy.utiIs.register_ class(RPREngine) 

ValueError: expected RenderEngine, RPREngine class "view_update" function to have 3 args, found 2

Running blender on an iMac on macOS 10.14.5 with a Radeon Pro 575 GPU

Has anyone had any luck fixing this?

thanks,

Chris

0 Likes
10 Replies
elstaci
MVP

Re: Can't activate Prorender in Blender 2.8

See if this AMD Radeon ProRender Plugin for Blender 2.80 BETA can help:AMD Radeon ProRender for Blender 2.80 Beta 

You can download the latest ProRender Plugin for your MAC OS. Seems like Blender changed their API which needs a new AMD ProRender Plugin:

0 Likes
cm123
Journeyman III

Re: Can't activate Prorender in Blender 2.8

Awesome! Thanks! Works great.

C

colesdav
MVP

Re: Can't activate Prorender in Blender 2.8

I downloaded the latest versions of Blender 2.8 Beta (blender-2.80-8fa65ed31b7f-win64.zip) and the latest version of the Radeon ProRender Plugin and Material Library yesterday. 

My System is Windows 10 Pro with i7-4790K CPU and  R9 Fury X / Nano GPU's . 


I downloaded and installed the following with no reported problems. 

radeonprorenderforblender.msi
radeonpromateriallibrary.msi


On Reboot I launch blender 2.8 beta.
I do not see the Radeon ProRender Engine available for rendering: 


pastedImage_1.png

I go to the  Blender Preferences -> Add-ons window  The Checkbox is there for Radeon ProRender. 
pastedImage_2.png

However, if i click on the checkbox I see the following error reported: 
pastedImage_3.png


It looks like we have a similar problem, although I am on a completely different OS and PC.
There is a link to report any issues to AMD/Blender.org about this plugin. I will look for it next. Thanks. 



0 Likes
elstaci
MVP

Re: Can't activate Prorender in Blender 2.8

I am confused by your photos. I noticed you DIDN"T check mark the box the says "Render:ProRender"  but the box that says "Render:Cycles Render Engine".

I believe you got that error because you are check marking the wrong plugin. Instead of ProRender you checked the box for Cycles Render Engine.

Or am I misinterpreting those Photos?

0 Likes
colesdav
MVP

Re: Can't activate Prorender in Blender 2.8

When I click on the Render:Radeon ProRender Box I get the reported error.

The checkbox does not go white with a grey tick because it errors out.

If you look at the reported error it is complaining about RPREngine, my guess is RPR stands for Radeon ProRender.

The latest Radeon ProRender plugin for Blender 2.80 Beta is broken. It is a "Norwegian Blue" software plugin installation.

It is dead:

Here is installation of the Radeon ProRender plugin for Blender 2.79 result:

pastedImage_1.png

And here is a picture showing the Prorender Menus activated in Blender 2.79b:

pastedImage_2.png


The Blender 2.79b installation is under the same installation path / directory structure that I used for the Blender 2.8 Beta installation.

Aside:
=====

Before anyone get's too excited because they see the checkerbox for an R9 200 series GPU - it's an 280X (aka HD7970) (GCN 1.0) GPU shown ticked...
The GPU does show activity in Wattman (i.e. it seems to be working) if I use it in Radeon-ProRender along with the Fiji GPU's to render.

However here is the render result if I just run Radeon ProRender on the R9 280x.

pastedImage_3.png

A veritable camoflaged polar bear in the snow.
It's also broken or unsupported on R9 280x GPU.

0 Likes
elstaci
MVP

Re: Can't activate Prorender in Blender 2.8

Okay, your explanation cleared that up.

It seems the error is being generated because it is suppose to see "3 ARGS"  but is seeing only "2 ARGS".

I presume that ARG is "Arguments"

EDIT: I googled that entire error message and I found a thread from AMD Prorender Forum from May, 2019 with the exact same problem: Prorender does not work with recent 2.8 builds 

The OP was able to fix the error but couldn't publish it because she has a NDA with her company. But does point to where the issue is:

The fix made by the OP:

Maybe you both should open a thread at AMD Forum ProRender from here: ProRender 

0 Likes
colesdav
MVP

Re: Can't activate Prorender in Blender 2.8

Hi, thanks for searching further - I opened this earlier today, and simply pointed to this thread.

Can't activate ProRender Addon in Blender 2.8 

I think I will wait for the fix to the ProRender plugin or change to Blender 2.8 or whatever the final fix is.
The official Blender 2.8 release date is due in July 2019.  

I should really open another thread about the R9 200 series (R9 280x) rendering issue as well.
I already asked this - Blender 2.80 Beta Cycles Rendering still not working with HD7970 / R9 280x GPU's. Any solution? 
so possibly add in the information about ProRender there.

Bye.

colesdav
MVP

Re: Can't activate Prorender in Blender 2.8

It looks like the plugin download information on the official AMD Prorender download page *might* be out of date.
I am testing now.
See my comments at the end of : https://community.amd.com/thread/239567 

colesdav
MVP

Re: Can't activate Prorender in Blender 2.8

Confirmed.

The plugin download information on the official AMD Prorender download page here:
pastedImage_1.png


is out of date and the plugin does not work with latest versions of Bender 2.0 beta.

There is a newer ProRender Plugin that does work, but you would need to be an AMD Community Forum User, and search on this forum, to even know it exists.

Someone in AMD needs to fix that as soon as possible please.
This current situation is giving a bad impression.

See my final testing and comments here: Prorender does not work with recent 2.8 builds 

I think this is the correct answer - provided cm123  can confirm that downloading the ProRender Plugin from here:
AMD Radeon ProRender for Blender 2.80 Beta 
works for them.

Thaks go to netcho for pointing me to that plugin.

Bye.

0 Likes